Bug 168855 - Taskbar icons should be shown above window title in vertical taskbar
Summary: Taskbar icons should be shown above window title in vertical taskbar
Status: RESOLVED INTENTIONAL
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-taskbar (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 172838 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-08-10 18:07 UTC by Rolf Eike Beer
Modified: 2012-06-18 21:13 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Proof of concept implementation (1.23 KB, patch)
2008-11-11 23:30 UTC, Rolf Eike Beer
Details
Screenshot of not-enough-space (63.40 KB, image/png)
2008-11-12 00:42 UTC, Henry de Valence
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer 2008-08-10 18:07:45 UTC
Version:            (using Devel)
Installed from:    Compiled sources
OS:                Linux

The program icons should be shown above the window description instead of beside it if the taskbar is in a vertical panel. That would allow much more text to be visible, currently I can only see 4 characters of each line. If the icon would be shown above the number would increase to at least 7 allowing much better overview about what is actually running.
Comment 1 Aldoo 2008-09-18 16:00:54 UTC
I believe it should be configurable:
- no icon at all (maximal room saving)
- icon on the left for a wide vertical panel (ideal for wide screens, as it maximizer the number of displayable items in the task bar)
- icon on the top for a narrow vertical panel (since it is narrow, the icon will be small and use few vertical pixels anyway)
Comment 2 Rolf Eike Beer 2008-11-11 23:30:50 UTC
Created attachment 28501 [details]
Proof of concept implementation

That's how I made it "work for me". For annyone using a horizontal panel this might be annoying but that's close to how I would like things to look.
Comment 3 Michael Tils 2008-11-12 00:15:53 UTC
I have a netbook and would like to have "only icon" view :-)
Thats because I usually do not have many windows from one app open and don't need the text. So if it would be configurable it would be really nice to add "only icon"...
(...or only thumbnail...)
Comment 4 Dan Meltzer 2008-11-12 00:38:24 UTC
I think that making this configurable would be foolish.  Rather than making the user choose something, it should adapt to be the most appropriate for the constraints it's given.  Plasma already provides this functionality.  Instead of hardcoding how it is drawn, check the formFactor() [1] of the applet and adjust it that way.

[1] http://api.kde.org/4.x-api/kdelibs-apidocs/plasma/html/namespacePlasma.html#d4a234ba4043af84f610c376159a862a
Comment 5 Henry de Valence 2008-11-12 00:42:09 UTC
Created attachment 28503 [details]
Screenshot of not-enough-space

On the other hand, my panel gets filled up by other things, and putting text below icons would squish everything up. Maybe it should be a configuration option, or plasma could be "smart" enough to figure out when to put icons above/to the side/no icon, based on panel width and the # of windows that are there.
Comment 6 Florencio 2008-11-12 00:52:54 UTC
See also https://bugs.kde.org/show_bug.cgi?id=172838
Which is duplicate of which?
Comment 7 Todd 2008-11-12 05:36:00 UTC
Michael and Aldo, there is a separate bug report for icon-only and label-only modes: https://bugs.kde.org/show_bug.cgi?id=159480
Comment 8 Vladislav Blanton 2008-11-12 08:46:00 UTC
I had some loose and partly obvious ideas/conclusions when reading this report / the associated blog post on Rolf's blog (http://der-dakon.net/blog/KDE/code-quality.html)

1)
if I understand how plasma handles formfactors, as a previous poster mentioned, perhaps it would work to have a "vertical" formfactor and "horizontal" formfactor for all plasma elements embedded in a panel.  I'm probably just stating the obvious. It is also probably technically incorrect, but the idea is valuable.

2)
in vertical form, the hovering plasma-tooltips are the only clear way to identify a particular minimized window because not enough text fits, and I don't think that the final solution lies in moving the icon up because it only fits a few more characters. It's a good start though.  Perhaps the icon should become even larger, or perhaps the icon and text should disappear, and instead it should show a mini version of the window (ala mac osx?).. anyways, I'm sure folks have lots of ideas about this. Which one is the best? Something useable and default for all setups would be the best solution, rather than the "have a bunch of options!" solution.

sorry if the above is a bit tangential to this specific report.
Comment 9 Rolf Eike Beer 2008-11-12 10:49:08 UTC
*** Bug 172838 has been marked as a duplicate of this bug. ***
Comment 10 Michael Tils 2008-11-12 12:53:20 UTC
Hi,
i move my comments about a configurable view into http://bugs.kde.org/show_bug.cgi?id=159480.
If this wish her is classified as "automaticly move icon above text I will not vote for it.
This is because you don't know what the user wants. If you focussing the text (which by the way never fits in a space like that and I don't know if it is a big improvement to have 4-6 chars more) it is better to switch the layout. If you are focussing the icon (like me) it is better to leave it where it is, because it's getting smaller if tile the taskbar entry horizontally.
Comment 11 Aaron J. Seigo 2008-11-14 05:17:23 UTC
Yes, I think the more aggressive vertical behaviour should be reserved for when the available width, when in Plasma::Vertical, is less than, say, 10 ems (QFontMetrics fm(font()); if (width() < fm.width("m")*10) { ... }
Comment 12 Dotan Cohen 2008-12-26 22:07:33 UTC
I agree with Comment #1, that the icon location should be configurable:
*) Icon to the side
*) Icon above
*) Icon only
*) No icon

But whatever is done, please don't make Plasma 'guess' as suggested in Comment #4. There is nothing I hate more than the computer 'guessing' what the user wants. It usually guesses what the developer wanted, and that is not necessarily what the user wants.
Comment 13 Aaron J. Seigo 2008-12-26 22:20:02 UTC
the icon location will not be made configurable. it's something that can absolutely be figured out from context, and making it configurable would make both the config dialog and codebase a lot less sane.
Comment 14 Dotan Cohen 2009-01-02 13:28:38 UTC
It seems that Windows 7 will have the icon-only ability, and some other really nice features:
http://windows7news.com/2008/10/28/a-close-look-at-the-new-windows-7-taskbar/
Comment 15 Rolf Eike Beer 2012-06-18 21:13:02 UTC
Comment #13 says wontfix :/